Page MenuHomePhabricator

Access key not set for Wikibase undo summary
Closed, ResolvedPublic

Description

There is no access key set for the summary field on the Wikibase undo page, despite the title saying the usual b works. The current HTML code is the following (reformatted for clarity):

<div id='wpSummaryLabel' class='mw-summary oo-ui-layout oo-ui-labelElement oo-ui-fieldLayout oo-ui-fieldLayout-align-top'>
	<div class='oo-ui-fieldLayout-body'>
		<span class='oo-ui-fieldLayout-header'>
			<label for='ooui-php-1' class='oo-ui-labelElement-label'>Summary (will be appended to an automatically generated summary):</label>
		</span>
		<div class='oo-ui-fieldLayout-field'>
			<div aria-disabled='false' class='oo-ui-widget oo-ui-widget-enabled oo-ui-inputWidget oo-ui-textInputWidget oo-ui-textInputWidget-type-text oo-ui-textInputWidget-php'>
				<input type='text' tabindex='0' aria-disabled='false' title='Enter a short summary [b]' name='wpSummary' value='' maxlength='200' spellcheck='true' id='ooui-php-1' class='oo-ui-inputWidget-input' />
				<span class='oo-ui-iconElement-icon oo-ui-iconElement-noIcon'></span>
				<span class='oo-ui-indicatorElement-indicator oo-ui-indicatorElement-noIndicator'></span>
			</div>
		</div>
	</div>
</div>

The <input> element has no accesskey attribute at all, but should be accesskey='b' to follow the convention. The current situation (especially as the tabindex is set to 0) means that without using mouse, one has to tab through several elements to reach the summary field.

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptFeb 1 2019, 2:41 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Addshore triaged this task as Medium priority.Feb 4 2019, 9:53 AM

Change 491243 had a related patch set uploaded (by Greta WMDE; owner: Greta Doçi):
[mediawiki/extensions/Wikibase@master] accessKey was added to EditEntityAction file. It only works when the K is capital even though the standard for accesskey is with lowercase

https://gerrit.wikimedia.org/r/491243

Change 491243 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Add accessKey to EditEntityAction file

https://gerrit.wikimedia.org/r/491243

Greta_Doci_WMDE closed this task as Resolved.Feb 19 2019, 4:16 PM
Lydia_Pintscher reopened this task as Open.Feb 19 2019, 9:02 PM